/******************************************************************************
 * bullet object headers
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *****************************************************************************/

#ifndef _BULLET_H
#define	_BULLET_H

#include "types.h"
#include "math.h"
#include "object.h"


typedef struct BulletStruct
{
	OBJECT_HEADER
	/////////////

	s24f8_vect2D	pos;		// world position of the bullet
	s24f8_vect2D	speed;		// speed vector of the bullet
	s24f8_vect2D	offset;		// offset to bullet center

	u16				tileNum;		// tile num to use
	u16				flip;			// flip settings

} BulletStruct;


/********************************************************************
 * launch a bullet
 *
 * IN:		world positon of the bullet
 * 			speed it travels at
 *
 * RETURNS:	ptr to the bullet object
 *******************************************************************/
extern BulletStruct *Bullet_New (s24f8_vect2D *pPos, s24f8_vect2D *pSpeed);


/**********************************************************************
 * update a bullet object
 *********************************************************************/
extern u32 Bullet_Update (ObjectStruct *pObj);


#endif


