/**************************************************************************
 * headers for getting and using button input
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *************************************************************************/

#ifndef _BUTTONS_H
#define	_BUTTONS_H

#include "types.h"
#include "gba_buttons.h"

// global values for the button values
// These get updated each frame (using Butons_Update), and should never be changed
// outside this module
extern u16 buttonsHeld;		// what buttons are currently down
extern u16 buttonsDown;		// what buttons went down this frame
extern u16 buttonsUp;		// what buttons went up this frame

/******************************************************************
 * grab and process the current button input... this should be
 * called once each frame
 ******************************************************************/
extern void Buttons_Update (void);


#endif

