/*************************************************************************
 * GBA hardware palette display information
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ************************************************************************/

#ifndef	_GBA_PALETTE_H
#define	_GBA_PALETTE_H


/**********************************************************************
 * palettes
 *********************************************************************/

// top of palette RAM
#define	VRAM_PALETTES_TOP			0x05000000

// top of background map palettes
#define	VRAM_MAP_PALETTES_TOP		VRAM_PALETTES_TOP

// top of sprite palettes
#define	VRAM_SPRITE_PALETTES_TOP	0x05000200


/********************************************************************
 * convert an r/g/b color inot GBA palette format
 *
 * IN:		r, g, b - the color (each needs to be 0..31)
 *
 * RETURNS:	color in GBA format
 *******************************************************************/
#define	GBAPalette_MakeColor(r,g,b)		((u16)((b<<10) + (g<<5) + r))


#endif

