/***********************************************************************
 * interrupt handler headers
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 **********************************************************************/

#ifndef	_INTERRUPT_H
#define	_INTERRUPT_H

#include "types.h"
#include "gba_interrupt.h"



/************************************************************
 * enable interrupts
 *
 * IN:		bits for what interrupts to enable:
 * 				INTERRUPT_VBLANK
 * 				INTERRUPT_HBLANK
 *				INTERRUPT_VCOUNT
 *				INTERRUPT_TIMER0
 *				INTERRUPT_TIMER1
 *				INTERRUPT_TIMER2
 *				INTERRUPT_TIMER3
 *				INTERRUPT_SERIAL
 *				INTERRUPT_DMA0
 *				INTERRUPT_DMA1
 *				INTERRUPT_DMA2
 *				INTERRUPT_DMA3
 *				INTERRUPT_KEYBOARD
 *				INTERRUPT_CART
 ************************************************************/
extern void Interrupt_Enable (u16 settings);


/*************************************************************
 * disable interrupts
 *
 * IN:		bits for what interrupts to disable
 * 				0 = disable all interrupts (including master switch)
 *************************************************************/
extern void Interrupt_Disable (u16 settings);


#endif

