/******************************************************************
 * vblank handler
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *****************************************************************/

#include "gba_interrupt.h"
#include "dma.h"
#include "background.h"
#include "game.h"
#include "sprite.h"
#include "dma.h"


/*****************************************************************
 * vblank routine
 ****************************************************************/
void Interrupt_VBlank (void)
{
	if (loadOAMflag)
	{	// time to load sprite OAM data to VRAM
		DMA_SimpleCopy(&spriteOAMtable[loadOAMflag-1], VRAM_OAM_TABLE, NUM_OAM_SPRITES<<1);

		loadOAMflag = 0;
	}

	// increment the vblank counter
	frameTimeAccum++;

	// tell the hardware we have processed this interrupt
	REG_INTERRUPT_PROCESSED = INTERRUPT_VBLANK;
}

